fgfs-atlas 0.3.1-2 fails to build with simgear 2.4.0

Bug #903225 reported by James Page on 2011-12-12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fgfs-atlas (Debian)
Fix Released
fgfs-atlas (Ubuntu)
Barry Warsaw

Bug Description

Simgear has been upgraded from 2.0.0 to 2.4.0; breaks this package badly so cannot be simple transitioned:

if g++ -DHAVE_CONFIG_H -I. -I. -I. -D_FORTIFY_SOURCE=2 -I/usr/local//include -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -DFGBASE_DIR='"/usr/share/games/FlightGear"' -MT Projection.o -MD -MP -MF ".deps/Projection.Tpo" -c -o Projection.o Projection.cxx; \
    then mv -f ".deps/Projection.Tpo" ".deps/Projection.Po"; else rm -f ".deps/Projection.Tpo"; exit 1; fi
g++ -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -DFGBASE_DIR='"/usr/share/games/FlightGear"' -Wl,-Bsymbolic-functions -Wl,-z,relro -L/usr/local//lib -o Atlas Atlas.o FlightTrack.o LoadPng.o LoadJpg.o MapBrowser.o Output.o OutputGL.o Overlays.o Projection.o -lsgmagvar -lsgtiming -lsgmisc -lsgio -lsgserial -lsgdebug -lsgbucket -lsgxml -lplibsg -lplibpu -lplibul -lplibfnt -lplibnet -lglut -lGLU -lGL -lXmu -lXt -lSM -lICE -lXi -lXext -lX11 -lpthread -lm -lpng -lz -lpthread -ljpeg -lplibul -lcurl -lm
if g++ -DHAVE_CONFIG_H -I. -I. -I. -D_FORTIFY_SOURCE=2 -I/usr/local//include -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -DFGBASE_DIR='"/usr/share/games/FlightGear"' -MT Map.o -MD -MP -MF ".deps/Map.Tpo" -c -o Map.o Map.cxx; \
    then mv -f ".deps/Map.Tpo" ".deps/Map.Po"; else rm -f ".deps/Map.Tpo"; exit 1; fi
Map.cxx:72:42: fatal error: simgear/screen/RenderTexture.h: No such file or directory
compilation terminated.
make[4]: *** [Map.o] Error 1
make[4]: Leaving directory `/«PKGBUILDDIR»/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/«PKGBUILDDIR»/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/«PKGBUILDDIR»/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/«PKGBUILDDIR»'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: fgfs-atlas (not installed)
ProcVersionSignature: Ubuntu 3.2.0-3.9-generic 3.2.0-rc4
Uname: Linux 3.2.0-3-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
Date: Mon Dec 12 14:29:02 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110426)
SourcePackage: fgfs-atlas
UpgradeStatus: Upgraded to precise on 2011-12-04 (7 days ago)

Related branches

James Page (james-page) wrote :
tags: added: ftbfs
James Page (james-page) wrote :
Changed in fgfs-atlas (Debian):
status: Unknown → New
James Page (james-page) on 2011-12-15
Changed in fgfs-atlas (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Barry Warsaw (barry) on 2012-02-14
Changed in fgfs-atlas (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
milestone: none → ubuntu-12.04-beta-1
Barry Warsaw (barry) on 2012-02-14
Changed in fgfs-atlas (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fgfs-atlas - 0.3.1+cvs20120214-0ubuntu1

fgfs-atlas (0.3.1+cvs20120214-0ubuntu1) precise; urgency=low

  * Build from CVS for compatibility with simgear 2.4.0. (LP: #903225)
 -- Barry Warsaw <email address hidden> Tue, 14 Feb 2012 10:42:01 -0500

Changed in fgfs-atlas (Ubuntu):
status: In Progress → Fix Released
Changed in fgfs-atlas (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.